import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _MTRElectricalEnergyMeasurementClusterEnergyMeasurementStruct } from "./MTRElectricalEnergyMeasurementClusterEnergyMeasurementStruct.js";
export declare class _MTRElectricalEnergyMeasurementClusterPeriodicEnergyMeasuredEvent extends _NSObject {
    static alloc(): _MTRElectricalEnergyMeasurementClusterPeriodicEnergyMeasuredEvent;
    static new(): _MTRElectricalEnergyMeasurementClusterPeriodicEnergyMeasuredEvent;
    init(): _MTRElectricalEnergyMeasurementClusterPeriodicEnergyMeasuredEvent;
    energyImported(): _MTRElectricalEnergyMeasurementClusterEnergyMeasurementStruct | null;
    setEnergyImported$(value: _MTRElectricalEnergyMeasurementClusterEnergyMeasurementStruct | null): void;
    energyExported(): _MTRElectricalEnergyMeasurementClusterEnergyMeasurementStruct | null;
    setEnergyExported$(value: _MTRElectricalEnergyMeasurementClusterEnergyMeasurementStruct | null): void;
}
export interface _MTRElectricalEnergyMeasurementClusterPeriodicEnergyMeasuredEvent extends _NSCopying {
}
